Welcome back! Ask questions, get answers, and join our large community of tax professionals.
cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot update 2006 - 2010 Proseries.

Highlighted
Level 1

Cannot update newly installed 2006-2010 Proseries on my new computer. I receive the following error message: "An error occurred while communicating with the server.Try again now or later..." I am updating within the Program.

I can update 2011 and later years, so I know that it's not a firewall issue.I unlocked the downloads. I tried running as Administrator.

Has anyone worked thru this issue for 2010 and earlier? Thanks.

Labels (1)
0 Cheers
1 Reply 1
Highlighted
Level 1
I think that Update no longer works thru 2010. See https://accountants-community.intuit.com/announcements/1600350
0 Cheers